Runtime

## org.eclipse.gmf.runtime.common.ui.util
Class InlineTextActionHandler

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.util.BaseInlineTextActionHandler
          org.eclipse.gmf.runtime.common.ui.util.InlineTextActionHandler

All Implemented Interfaces:
  IInlineTextActionHandler

public class InlineTextActionHandler
extends BaseInlineTextActionHandler
implements IInlineTextActionHandler

A class that is used to handle all global menu/keyboard generated text actions associated with the displayed text editor

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.common.ui.util.BaseInlineTextActionHandler
`EMPTY_STRING`

Constructor Summary
`InlineTextActionHandler(IActionBars actionBars, Text text, java.util.List disableActionsIds)` Constructor for InlineTextActionHandler.

Method Summary
`void` `dispose()` diposes this action-handler
`void` `hookHandlers()` hooks our text actions by replacing the installed global actions with one suitable for text editing, in order to retarget them correctly while the editing is in progress
`void` `unHookHandlers()` unhooks and uninstall our text actions and re-install the original global actions

Methods inherited from class org.eclipse.gmf.runtime.common.ui.util.BaseInlineTextActionHandler
`getText, handleCopy, handleCut, handleDelete, handlePaste, handleSelectAll, isHooked, setHooked`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InlineTextActionHandler

    public InlineTextActionHandler(IActionBars actionBars,
                                   Text text,
                                   java.util.List disableActionsIds)

  Constructor for InlineTextActionHandler.

Parameters:
  `actionBars` - list of action bars for the site that the text editor is displayed within
  `text` - widget used for editing
  `disableActionsIds` - list of actions that must be disabled while editing is in progress

Method Detail

### hookHandlers

    public void hookHandlers()

  hooks our text actions by replacing the installed global actions with one suitable for text editing, in order to retarget them correctly while the editing is in progress

  Specified by:
    `hookHandlers` in interface `IInlineTextActionHandler`

### unHookHandlers

    public void unHookHandlers()

  unhooks and uninstall our text actions and re-install the original global actions

  Specified by:
    `unHookHandlers` in interface `IInlineTextActionHandler`

### dispose

    public void dispose()

  diposes this action-handler

  Specified by:
    `dispose` in interface `IInlineTextActionHandler`
  Overrides:
    `dispose` in class `BaseInlineTextActionHandler`
  See Also:
    `IInlineTextActionHandler`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.